import { TYPED_ARRAYS } from '@kitware/vtk.js/macros';
import { DataArrayValues, TypedArrayConstructor } from '../types';
export declare const noop: () => void;
export declare const TypedArrayLookup: Record<TYPED_ARRAYS, TypedArrayConstructor>;
export declare function dataArraySize(v: DataArrayValues): number;
export declare function toTypedArray(values: DataArrayValues, constructor: TypedArrayConstructor): import("@kitware/vtk.js/types").TypedArray;
export declare function pick<T extends object, K extends keyof T>(source: T, ...keys: K[]): Pick<T, K>;
export declare function omit<T extends object, K extends keyof T>(source: T, ...keys: K[]): Omit<T, K>;
