import { useRef, useEffect } from 'react';

function usePrevious(val) {
    const ref = useRef(undefined);
    useEffect(() => {
        ref.current = val;
    });
    return ref.current;
}

export { usePrevious };
