import { RefObject } from 'react';
type EventCallback<E> = (this: HTMLElement, ev: E) => void;
export declare function useEventListener<E extends keyof HTMLElementEventMap>(target: () => HTMLElement | null, eventName: E, callback: EventCallback<HTMLElementEventMap[E]>, options?: AddEventListenerOptions | boolean): void;
export declare function useEventListener<E extends keyof HTMLElementEventMap>(target: RefObject<HTMLElement | null>, eventName: E, callback: EventCallback<HTMLElementEventMap[E]>, options?: AddEventListenerOptions | boolean): void;
export declare function useEventListener<E extends keyof HTMLElementEventMap>(target: HTMLElement | null, eventName: E, callback: EventCallback<HTMLElementEventMap[E]>, options?: AddEventListenerOptions | boolean): void;
export {};
