import vtkAbstractMapper from '@kitware/vtk.js/Rendering/Core/AbstractMapper';
import { BooleanAccumulator } from '../../utils/useBooleanAccumulator';
/**
 * Returns a mapper getter.
 */
export default function useMapper<M extends vtkAbstractMapper, I>(constructor: () => M, props: I | undefined, trackModified: BooleanAccumulator): () => M;
